Loading...
Searching...
No Matches
pcl::PointCorrespondence6D Struct Reference
Module common

Representation of a (possible) correspondence between two points (e.g. More...

`#include <pcl/correspondence.h>`

Inheritance diagram for pcl::PointCorrespondence6D:

## Public Attributes

Eigen::Affine3f | transformation
| The transformation to go from the coordinate system.
Public Attributes inherited from pcl::PointCorrespondence3D
Eigen::Vector3f | point1
| The 3D position of the point in the first coordinate frame.
Eigen::Vector3f | point2
| The 3D position of the point in the second coordinate frame.
Public Attributes inherited from pcl::Correspondence
index_t | index_query = 0
| Index of the query (source) point.
index_t | index_match = UNAVAILABLE
| Index of the matching (target) point.
union { |
float distance = std::numeric_limits<float>::max() |
float weight |
}; |  |
| Distance between the corresponding points, or the weight denoting the confidence in correspondence estimation.

## Additional Inherited Members

Public Member Functions inherited from pcl::Correspondence
| Correspondence ()=default
| Standard constructor.
| Correspondence (index_t _index_query, index_t _index_match, float _distance)
| Constructor.

## Detailed Description

Representation of a (possible) correspondence between two points (e.g.

from feature matching), that encode complete 6DOF transformations.

Definition at line 131 of file correspondence.h.

## Member Data Documentation

## transformation

Eigen::Affine3f pcl::PointCorrespondence6D::transformation

The transformation to go from the coordinate system.

of point2 to the coordinate system of point1

Definition at line 133 of file correspondence.h.

The documentation for this struct was generated from the following file:

- pcl/correspondence.h